# Class CIM_LogInStorage
extends CIM_Dependency

MessageLogs can reside in data files, on specially allocated storage areas such as disks or memory, or output as raw I/O streams. In fact, a single Log may use each of these mechanisms to output or capture its contents. The LogInStorage association describes a Log located in a specially allocated portion of a StorageExtent. The offset of the Log, within the Extent, is defined using a property of the association, StartingOffset.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_LogInStorage

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

MessageLogs can reside in data files, on specially allocated storage areas such as disks or memory, or output as raw I/O streams. In fact, a single Log may use each of these mechanisms to output or capture its contents. The LogInStorage association describes a Log located in a specially allocated portion of a StorageExtent. The offset of the Log, within the Extent, is defined using a property of the association, StartingOffset.

UMLPackagePath | string | CIM::System::Logs
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
StartingOffset | uint64 |
Description | string | StartingOffset indicates where in the Extent that the Log begins.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_LogInStorage | CIM_StorageExtent
Dependent | CIM_LogInStorage | CIM_MessageLog

## Class Methods